/***************************************************************************
 *   Copyright (C) 2003 by liuspider                                       *
 *   liuspider@users.sourceforge.net                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "scimlineedit.h"
#include "qpainter.h"
#include "qdrawutil.h"
#include "qfontmetrics.h"

ScimLineEdit::ScimLineEdit(QWidget *parent, const char *name)
 : ScimDragableFrame(parent, parent, name), ScimStringRender(this)
{
//     setFrameShape( QFrame::Box );
//     setFrameShadow( QFrame::Raised );
    setKeepVisible(false);
}
void ScimLineEdit::setText(const QString & text, const scim::AttributeList & attrlist) 
{
  ScimStringRender::setText(text, attrlist);
  updateGeometry();
  update();
}
QSize ScimLineEdit::minimumSizeHint () const
{
    int w = 2*frameWidth();
    return ScimStringRender::minimumSizeHint(w + 100, w);
}

void ScimLineEdit::drawContents( QPainter *p )
{
    QRect cr = contentsRect();
    drawString(p, cr);
}

void ScimLineEdit::setCursorPosition ( int p )
{
    ScimStringRender::setCursorPosition(p);
    update();
}

void ScimLineEdit::fontChange(const QFont & /*oldFont*/) {
    setFontMetrics(fontMetrics());
}

ScimLineEdit::~ScimLineEdit(){}


#include "scimlineedit.moc"
